# classes/phing/util/LogWriter.php

## \LogWriter
jump to top

Extends the Writer class to output messages to Phing's log

Extends from
  \Writer
author
  Michiel Rook
package
  phing.util
version
  $Id: LogWriter.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`$level= 'NULL'`
Default value `NULL` Details

Type

`$task= 'NULL'`
Default value `NULL` Details

Type

### Methods

`__construct( $task, $level = Project ) :`
Constructs a new LogWriter object
Parameters

Name | Type | Description
--- | --- | ---
$task |  |
$level |  |

`close( ) :`
Details

see
  \Writer::close()

`getResource( ) :`
Details

see
  \Writer::getResource()

`open( ) :`
Details

see
  \Writer::open()

`reset( ) :`
Details

see
  \Writer::reset()

`write( $buf, $off = null, $len = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$buf |  |
$off |  |
$len |  |

Details

see
  \Writer::write()

Documentation was generated by DocBlox 0.13.1.